Subject: Re: bug#67976: java-ts-mode test failure

From: john muhl <[email-masked]>
Date: Sat, 30 Dec 2023 13:18:39 -0600

Theodor Thornhill <[email-masked]> writes:

> Theodor Thornhill <[email-masked]> writes:
>
>> Yuan Fu <[email-masked]> writes:
>>
>>>> On Dec 22, 2023, at 1:09 PM, john muhl via Bug reports for GNU Emacs, the Swiss army knife of text editors <[email-masked]> wrote:
>
> [...]
>
>>>>     ("Mismatch in test \"Statements\", file /home/build/emacs/test/lisp/progmodes/java-ts-mode-resources/indent.erts"
>>>>      #(
>>>> "if (x) {\n    for (var foo : foos) {\n        \n    }\n} else if (y) {\n\11for (int i = 0; x < foos.size(); i++) {\n            return;\n\11}\n    } else {\n\11return;\n    }\n"
>>>> 0 159 (fontified nil))
>>>>    "if (x) {\n    for (var foo : foos) {\n        \n    }\n} else if (y) {\n    for (int i = 0; x < foos.size(); i++) {\n        return;\n    }\n} else {\n    return;\n}\n"))
>>>>   FAILED  1/2  java-ts-mode-test-indentation (0.010839 sec) at emacs/test/lisp/progmodes/java-ts-mode-tests.el:26
>>>>   passed  2/2  java-ts-mode-test-movement (0.004179 sec)
>>>> 
>>>> Ran 2 tests, 1 results as expected, 1 unexpected (2023-12-22 19:05:47+0000, 0.134714 sec)
>>>> 
>>
>> Thanks, I'll look at it!
>>
>> Theo
>>
>
> So I understand the bug now, and it seems you're right in that commit
> being the offender. I'll see if I can rewrite the matchers to skip the
> assumption that no longer works. It looks a little like a "rewrite" of
> the indentation, though, so I need some time to do it correctly.
>
> Theo

It looks like 9874561f39e got reverted so the tests pass again.